---
author: Sam Bent
date: 2025-06-09
gitea_url: "http://git.nowherejezfoltodf4jiyl6r56jnzintap5vyjlia7fkirfsnfizflqd.onion/nihilist/blog-contributions/issues/347"
xmr: 8AUYjhQeG3D5aodJDtqG499N5jXXM71gYKD8LgSsFB9BUV1o7muLv3DXHoydRTK4SZaaUBq4EAUqpZHLrX2VZLH71Jrd9k8
tags:
    - Agorism
---

# What's Agorism ?

## Agorism: Building Freedom Through Counter-Economics
Agorism is a form of economic guerrilla warfare against the state. Samuel Edward Konkin III developed this revolutionary philosophy in the 1970s as a strategy that rejects both the futility of political reform and the self-defeating nature of violent revolution. Instead of begging for freedom or fighting for it, agorists build it through direct economic action that makes the state irrelevant.

![alt text](image-28.png)

## The Core Concept
At its heart, agorism recognizes a simple truth: the state is not a building in Washington or a group of politicians but a relationship of systematic theft and coercion. Every tax collected, every regulation enforced, and every license required represents a violent intervention in voluntary exchange. Konkin's insight was that we don't need to storm the castle when we can stop feeding the beast.

![alt text](image-25.png)

Think of agorism as economic secession in place. While political activists exhaust themselves trying to change a system designed to resist change, agorists have already opted out. They're building alternative institutions, trading through parallel markets, and creating the infrastructure of a free society right under the state's nose. Every untaxed transaction, every peer-to-peer exchange, and every regulatory bypass represents a small act of revolution that requires no violence, no voting, and no permission.

![alt text](image-26.png)

The genius of Konkin's approach lies in its alignment with human nature. People naturally seek to improve their lives through voluntary exchange. The state constantly interferes with this process, creating friction, extracting wealth, and prohibiting peaceful activities. Agorism encourages what people want to do anyway: trade freely, keep what they earn, and associate voluntarily. The revolution doesn't require converting anyone to a new ideology; it just helps them realize they're already practicing counter-economics.

## Counter-Economics: The Engine of Agorism
Counter-economics encompasses ALL peaceful economic activity the state prohibits, regulates, or taxes. Every transaction that denies the state its cut falls somewhere on the counter-economic spectrum.

![alt text](image-1.png)

White markets consist of legal but unreported activities, such as cash jobs, barter networks, and informal services exchanged between neighbors. When your neighbor pays you $50 cash to fix their computer, when you trade car repairs for plumbing work, when the kid down the street mows lawns for unreported cash, these seemingly innocent exchanges form the foundation of the counter-economy. The state demands its percentage of every dollar that changes hands, but white market transactions slip entirely beneath their radar.

![alt text](image-2.png)

Grey markets involve regulated activity done without state permission. The food truck operating without proper licenses, the hairdresser working from home without permits, and the contractor doing renovations without pulling building permits. These entrepreneurs provide genuine value to willing customers. Still, they skip the permission slips, fees, and regulations that exist primarily to extract revenue and protect established businesses from competition. In many developing nations, grey markets account for the majority of economic activity because the official regulatory burden renders legal compliance unfeasible for small operators.

![alt text](image-3.png)

Black markets handle prohibited goods and services outright. Drugs, weapons, banned information, prohibited services. These markets exist because the state has declared certain voluntary exchanges criminal, creating artificial scarcity and massive profit opportunities. The darknet markets you're familiar with represent pure agorism in digital form. Silk Road operated for over two years as a $1.2 billion proof of concept, demonstrating that complex commercial relationships, escrow systems, reputation networks, and quality control can flourish without any state oversight whatsoever. When Ross Ulbricht created the Silk Road, he explicitly cited agorist philosophy as his inspiration, viewing the marketplace as a means to demonstrate that voluntary exchange needs no external enforcement.

![alt text](image-16.png)

Red markets involve violence and coercion, which agorism explicitly rejects. Konkin was clear that aggression against persons or property violates the foundational principle of voluntary exchange. Agorism aims to render the state obsolete through peaceful competition rather than replicating its coercive methods. This distinction matters because critics often conflate all black market activity with violence when, in reality, most counter-economic transactions are as peaceful as buying groceries.

## Historical Examples That Prove It Works

### The System D Economy
In developing nations, "System D" (from French "débrouillardise"—making do) represents the informal economy. By 2020, System D was worth $10 trillion globally, making it the world's second-largest economy after the US.


![alt text](image-10.png)

In Lagos, Nigeria, approximately 80% of employment exists in System D, which encompasses street vendors, informal taxi networks, and unregistered businesses. This entire parallel economy operates successfully without government recognition. These aren't criminals; they're agorists by necessity.

### Soviet Black Markets
The USSR tried to control every economic transaction. To what end? By the 1980s, the shadow economy accounted for 20-30% of the Soviet GDP. Citizens traded everything from blue jeans to car parts through "blat" (informal exchange networks).
When official stores had empty shelves, black market dealers had full warehouses. The state's economic plans were rendered ineffective when citizens created their supply chains. The counter-economy sustained the population's basic needs while the official economy collapsed.

### Colonial America's Smuggling Networks
Before the American Revolution, colonists routinely violated British trade laws through sophisticated smuggling operations that prefigured modern agorism. John Hancock remembered as a patriot, made his fortune smuggling tea and wine past British customs. By 1760, smuggling had become so widespread that British customs collected only £2,000 annually from colonies that should have yielded £200,000 according to official trade volumes.

![alt text](image-4.png)

These colonial smugglers created elaborate networks of false compartments in ships bribed customs officials and established alternative ports of entry. They didn't see themselves as revolutionaries but as merchants pursuing profit in the face of unreasonable restrictions. The Molasses Act of 1733 aimed to compel colonists to purchase expensive British sugar instead of cheaper French alternatives. The colonists' response? They disregarded the law and established their trade routes. By the time of the revolution, the infrastructure for independence already existed in these smuggling networks. The same ships that smuggled molasses could carry weapons, the same merchants who avoided customs could finance rebellion, and the same networks that moved illegal goods could distribute revolutionary pamphlets.

The British response mirrors modern drug war tactics: increased enforcement, harsher penalties, and broader surveillance powers. The Writs of Assistance gave customs officials unlimited power to search any property without specific warrants. The colonists' counter-response? Better smuggling techniques, deeper corruption of officials, and eventually, revolution. However, note that economic resistance came first, and political resistance followed only when the state made normal business operations impossible.

### Prohibition Era (1920-1933)
Alcohol prohibition created the largest counter-economic network in US history. By 1925, there were 100,000 speakeasies in New York City alone, twice the number of legal bars that existed before Prohibition.

![alt text](image-5.png)

Bootleggers didn't lobby for repeal. They built distribution networks, corrupted enforcement, and served customer demand. The government surrendered not because of protests but because the counter-economy made the law unenforceable.
Modern Agorism in Practice

## Cryptocurrency Networks
Bitcoin emerged not from reformists politely asking the Federal Reserve to consider alternative monetary policies but from cypherpunks who built an alternative monetary system that operates without permission. Satoshi Nakamoto's whitepaper referenced no political movements, requested no regulatory approval, and asked no one's permission. The genesis block included a Times headline about bank bailouts, the only political statement needed.

![alt text](image-6.png)

Every cryptocurrency transaction that bypasses traditional banking represents a practical form of agorism. When Iranian programmers sell software for Bitcoin because sanctions block bank transfers, when Venezuelans preserve wealth in cryptocurrency while their government destroys the bolivar through hyperinflation, and when dark market vendors create more reliable reputation systems than eBay, they prove that monetary systems don't require states.

![alt text](image-29.png)

DeFi protocols now handle billions of dollars in value without the need for banks, regulators, or state oversight. Uniswap processes more daily volume than many national stock exchanges without a single regulatory license. Compound allows lending and borrowing without credit checks or financial surveillance. Smart contracts execute complex financial operations that would require armies of lawyers in the traditional system. Still, they do so with mathematical certainty and without any possibility of corruption. These systems don't compete with banks on the banks' terms; they make traditional financial intermediaries conceptually obsolete.

![alt text](image-30.png)

The state's response reveals their fear. China has repeatedly banned cryptocurrency, with each ban becoming less effective than the last. The US Treasury attempts to regulate DeFi protocols that lack a central governing entity. They demand that mathematical protocols collect KYC information, showing that they don't understand they're fighting against mathematics itself. Every attempt at control drives innovation toward greater decentralization, increased privacy, and improved resistance to interference.

## Digital Nomadism and Flag Theory
Thousands of location-independent workers legally minimize taxes by choosing jurisdictions strategically. They're not evading—they're selecting which states deserve their economic participation—company in Estonia, bank account in Singapore, residence in Portugal, income from global clients. The state's geographical monopoly becomes irrelevant.

## The Gig Economy's Shadow Side
Officially, Uber drivers and DoorDash deliverers are tracked and taxed through elaborate digital systems designed to ensure compliance. The platforms automatically report earnings to tax authorities and issue Form 1099 for any amount exceeding $600. But beneath this veneer of compliance lies a thriving counter-economy that the platforms pretend not to see.

Cash tips disappear into pockets without a trace. Regular customers develop personal relationships with drivers, arranging rides outside the app for cash payment. The Uber driver who gives you his card for "airport runs" has just recruited you into the counter-economy. Pizza delivery drivers build networks of regular customers who pay cash directly, bypassing both the platform and the taxman. Every transaction that moves from the platform to personal arrangement represents a small victory for economic freedom.

DoorDash drivers share techniques for maximizing cash orders in online forums. They know which restaurants still accept cash, which neighborhoods tip in cash, and how to structure their acceptance patterns to avoid algorithmic detection while maximizing unreported income. The platforms are aware of this happening, but they can't stop it without destroying their business model. They need drivers more than drivers need them, creating space for counter-economic activity within supposedly controlled systems.

![alt text](image-8.png)

This shadow economy extends beyond simple tax avoidance. Drivers share accounts to bypass background checks, rent accounts to those who can't qualify officially, and create elaborate systems to game surge pricing and bonuses. What appears to be a highly regulated, technologically controlled market contains thousands of entrepreneurs practicing agorism daily, proving that human ingenuity in pursuing profit will always outpace corporate and government control systems.

## Why Agorism Beats Political Action
Political reformers operate within the system they claim to oppose, thereby begging the state to limit itself through the very mechanisms it controls. They spend decades achieving minor victories that get reversed by the next administration, always fighting yesterday's battle. At the same time, the state invents new forms of control. The drug reform movement spent fifty years and millions of dollars trying to change marijuana laws through lobbying and voting. Meanwhile, agorist entrepreneurs started selling cannabis through medical dispensaries, delivery services, and, yes, black markets, normalizing what politicians feared to touch. By the time legalization came to many states, the counter-economy had already made Prohibition irrelevant.

![alt text](image-9.png)

Violent revolutionaries seek to replace one violent monopoly with another. History shows us a pattern: the revolutionary often becomes the oppressor, sometimes more brutal than their predecessor. The French Revolution promised liberty, equality, and fraternity but delivered the Terror and Napoleon. The Russian Revolution promised workers' paradise but created the gulag. Every violent overthrow carries within it the seeds of the next tyranny because it accepts the fundamental premise that society needs violent monopoly control.

![alt text](image-24.png)

Agorists make the state irrelevant through superior alternatives. We build parallel systems that outcompete state offerings without asking permission or firing a shot. Consider which threatens banking cartels more: Occupy Wall Street camping in parks and holding signs or DeFi protocols that now handle billions in value without a single banking license? Which changed drug markets more fundamentally: decades of policy reform efforts or Ross Ulbricht proving that reputation systems and cryptocurrencies could create more orderly markets than state prohibition ever achieved?

## The Revolutionary Logic
Every government requires three things to survive, and agorism systematically attacks each pillar of state power.
First, states need economic compliance through taxes, regulations, and licensing. Every dollar that flows through counter-economic channels denies the state revenue while building alternative economic infrastructure. When a programmer accepts Bitcoin for freelance work, when a farmer sells produce directly to consumers for cash, and when a tutor teaches students without state credentials, they're not just avoiding taxes but creating proof that complex economic relationships work without state intermediation.

![alt text](image-11.png)

Second, states require information control through surveillance, censorship, and propaganda. **The cypherpunk movement, which gave us PGP, Tor, Bitcoin, and other privacy tools, aligns perfectly with the agorist strategy.** When Phil Zimmermann released PGP to the world in 1991, the US government attempted to prosecute him for "exporting munitions" because it understood that widespread encryption threatened its surveillance capabilities. Every encrypted message, every anonymous transaction, and every piece of information that flows outside state monitoring reduces their ability to control economic activity. Tor enables agorist marketplaces by making it impossible to trace connections between buyers and sellers. I2P goes even further, creating an entire parallel internet where surveillance becomes mathematically impossible. These tools transform agorism from a local phenomenon into a global revolutionary strategy.

![alt text](image-12.png)

Third, states depend on legitimacy, which is the widespread belief that their authority is necessary and beneficial. Every successful counter-economic transaction disproves this myth. When darknet markets provided better customer service than street dealers, when Bitcoin transfers moved money faster and cheaper than banks, and when homeschooling produced better educational outcomes than government schools, they didn't argue against state legitimacy; they demonstrated its obsolescence. The state's greatest fear isn't armed rebels but peaceful traders proving we don't need them.

## Practical Agorism for OPSEC-Minded Individuals
You're already thinking about operational security. Agorism represents economic OPSEC at its core, denying adversaries (the state) intelligence about your economic activity. Every privacy tool you use for OPSEC enables agorism by breaking the connection between identity and economic activity.

![alt text](image-13.png)

Tor didn't emerge from privacy advocates asking governments to respect anonymity. The Onion Router created a parallel communication system that makes surveillance computationally infeasible. When you route your traffic through Tor, you're not just protecting your privacy but enabling entire counter-economic ecosystems. The same relay network that protects dissidents also enables agorist marketplaces to operate beyond state reach. I2P takes this further by creating a completely separate network layer where every participant contributes to the anonymity of others, making it ideal for hosting hidden services that can't be traced or shut down.

![alt text](image-14.png)

Monero represents the evolution of cryptocurrency toward true agorist money. While Bitcoin transactions are pseudonymous but traceable on a public ledger, Monero implements ring signatures, stealth addresses, and confidential transactions that make financial surveillance impossible. When you use Monero, you're not just making a privacy choice but participating in the creation of a monetary system that operates entirely outside state observation. Every Monero transaction strengthens a financial network that can't be controlled, censored, or inflated by any government.

![alt text](image-15.png)

But agorism extends far beyond high-tech solutions. Paying contractors in cash keeps transactions entirely out of the banking system. Bartering skills with neighbors create value exchange without any monetary trail. Growing food breaks the agricultural cartel's monopoly on the supply chain. Teaching skills outside the credential monopoly of universities and licensing boards build human capital that owes nothing to state approval. Building local exchange networks fosters resilient communities that can meet their needs independently of corporate or government intermediaries.

The System D economy in developing nations shows how this works at scale. In cities like Mumbai or Cairo, entire neighborhoods operate through informal networks of trust and reputation. The street vendor who knows your coffee preference, the mechanic who fixes your car without paperwork, and the seamstress who tailors clothes from her apartment are all part of vast agorist networks that predate Konkin's philosophy by centuries. These aren't temporary arrangements but sophisticated economic systems that often work better than their "legitimate" counterparts.

## The Endgame

![alt text](image-27.png)

Konkin envisioned a world where the state withers away not through collapse but through irrelevance. His four-phase model of agorist revolution, laid out in "New Libertarian Manifesto," describes the progression from our current statist society to a free-market anarchist world. Phase 1 sees isolated agorists practicing counter-economics individually. Phase 2 involves small networks of traders and entrepreneurs who support one another. Phase 3 establishes large-scale counter-economic institutions that begin to displace state services. Phase 4 achieves a stateless society where all transactions are voluntary, and protection agencies compete in a free market.

![alt text](image-17.png)

We're currently somewhere between Phase 2 and 3. When people can trade freely without permission through cryptocurrency networks, resolve disputes without courts through smart contracts and decentralized arbitration, protect property without police through private security and mutual aid networks, and build infrastructure without permits through agorist construction collectives, the question becomes stark: what exactly do we need government for?

This progression is already visible. In Detroit's abandoned neighborhoods, agorist entrepreneurs have created entire communities outside of official systems. They've installed their streetlights, organized their security patrols, created their dispute resolution systems, and built thriving local economies while the city government retreated. 

In Greece, during the economic crisis, parallel economies utilizing alternative currencies and barter networks helped keep communities functioning when the official economy collapsed. In Argentina, when the government destroyed the currency through inflation, people spontaneously created their exchange networks that operated more efficiently than the state system.

## The Agorist Paradox
Here's what terrifies authoritarians: Agorism is anti-fragile. Every crackdown creates more agorists. Every new restriction teaches people to value freedom. Every enforcement action becomes a marketing campaign for our alternatives.

When governments ban cash transactions above certain amounts, people discover cryptocurrency. When they regulate cryptocurrency exchanges, people become aware of decentralized exchanges and privacy coins. When they increase surveillance, people become experts in encryption and operational security. The state's attempts to control create the very expertise and motivation that undermines their control.

![alt text](image-20.png)

Silk Road's destruction spawned dozens of more secure markets that learned from its mistakes. Each iteration becomes more resilient, more decentralized, and more difficult to stop. Banking restrictions on marijuana businesses forced an entire industry to develop sophisticated cash management and cryptocurrency systems that now serve other industries facing financial discrimination. COVID lockdowns, intended to increase state control, instead created an explosion in grey market services as people discovered they could work, trade, and live without official permission.

![alt text](image-18.png)

The state creates its opposition through its oppression. Every person who loses their business to arbitrary regulations, every entrepreneur crushed by licensing requirements, and every peaceful trader imprisoned for voluntary exchanges becomes a potential agorist. The system manufactures resistance by making legal compliance either impossible or worthless for an increasing number of people.

## The Philosophy Behind the Practice
Agorism rests on solid philosophical foundations that distinguish it from mere tax evasion or black market profiteering. Konkin built his system on the non-aggression principle, recognizing that all government action ultimately rests on the threat of violence. Every regulation, no matter how trivial, carries the implicit threat: comply or face an escalating force that ends with death if you resist sufficiently. A business license isn't a piece of paper but a threat of violence against peaceful trade.

This understanding leads to the central agorist insight: the state is not reformable because its essential nature is aggression. You cannot vote violence into peace any more than you can regulate theft into charity. Political action within the system legitimizes the system. Even libertarian political parties end up reinforcing the idea that change must come through state mechanisms. Agorism rejects this entirely, recognizing that freedom comes from rendering the state irrelevant, not from capturing its machinery.

![alt text](image-7.png)

The moral dimension of agorism stems from the principle of self-ownership. If you own yourself, you own your labor. If you own your labor, you own its products. Any interference with voluntary exchange between self-owners violates this fundamental principle. The state claims the right to control what you can buy, sell, or trade, inserting itself as a parasitic third party in every transaction. Agorism asserts the right to ignore this claimed authority and trade freely.
However, agorism extends beyond individual philosophy to encompass a comprehensive theory of social change. Konkin observed that successful state resistance creates momentum. As counter-economic networks grow, they attract more participants through superior service and lower costs. A drug dealer who never cheats on customers builds a reputation. The grey market contractor who does quality work gets referrals. The cryptocurrency trader who enables international transactions gets repeat business. Quality and reliability create growth in counter-economic enterprises just as in any market.

This leads to Konkin's revolutionary optimism. Unlike Marxists, who wait for capitalism's contradictions to create a revolution, or anarcho-capitalists, who hope for eventual enlightenment, agorists see freedom emerging from human action in the present. Every agorist transaction makes the next one easier. Every person practicing counter-economics makes the practice more normal. Every parallel institution that functions well makes state services look worse by comparison. The revolution proceeds one transaction at a time, building tomorrow's free society within today's authoritarian one. 

## Essential Agorist Literature


Understanding agorism deeply requires engaging with the foundational texts that shaped this philosophy. Samuel Edward Konkin III's "New Libertarian Manifesto" stands as the core document of agorist thought. Written in 1983, it outlines the theoretical framework for counter-economics and the path from a statist society to free market anarchism. Konkin writes with the fire of a revolutionary but the precision of an economist, explaining how market forces themselves will destroy the state once people stop feeding it through taxation and regulation.

"An Agorist Primer" by the same author serves as the practical companion to the Manifesto. Where the Manifesto provides theory, the Primer offers concrete examples and strategies. Konkin explains how to identify counter-economic opportunities in your own life, how to evaluate risk versus reward, and how to build networks of fellow travelers. He emphasizes that agorism works at every scale, from individual transactions to entire parallel economies.

J. Neil Schulman's "Alongside Night" deserves special mention as the first explicitly agorist novel. Written in 1979 with Konkin's direct input, it depicts a near-future America where hyperinflation and economic collapse drive the creation of a massive agorist underground. The novel doesn't just tell a story but also demonstrates how counter-economic networks might function at scale, complete with alternative currencies, private protection agencies, and underground markets that operate more efficiently than the ailing official economy. Schulman shows how crisis creates an opportunity for those prepared to offer alternatives.

![alt text](image-23.png)

For historical context, Murray Rothbard's "For a New Liberty" provides the anarcho-capitalist foundation that Konkin built upon and eventually transcended. While Rothbard focused on education and eventual political change, his economic analysis of why free markets work and governments fail remains an essential reading. The chapter on police and courts without government particularly complements agorist thinking about parallel institutions.

More recently, "The Starfish and the Spider" by Ori Brafman and Rod Beckstrom, while not explicitly agorist, explains why decentralized organizations defeat centralized ones. Their analysis of how Napster, Wikipedia, and Al Qaeda succeeded through decentralization applies perfectly to counter-economic networks. When there's no head to cut off, no central point of failure, the system becomes unstoppable.

"The Sovereign Individual" by James Dale Davidson and Lord William Rees-Mogg, published in 1997, predicted how information technology would enable individuals to escape state control. Their vision of cyber-economies operating beyond geographical jurisdiction reads like an agorist manual written by investment bankers. They saw how encryption and digital currencies would render taxation voluntary and nation-states obsolete. However, they focused more on wealthy individuals than on mass counter-economics.

For those interested in the cypherpunk roots of crypto-agorism, "Applied Cryptography" by Bruce Schneier provides the technical foundation for understanding how mathematical principles can enforce contracts and protect privacy without state involvement. While dense with technical details, it demonstrates that cryptography isn't just about hiding secrets but about creating new forms of social organization.


## Your Move

Agorism offers a choice fundamentally different from what the system presents. The state frames your options as obey or rebel, comply or resist, vote or revolt. These false choices keep you trapped in their paradigm, where they define the terms of engagement. Agorism transcends this trap entirely. You don't join agorism like a political party or a revolution. You practice agorism through countless daily decisions that build freedom incrementally.


![alt text](image-22.png)

Every time you choose cash over tracked payments, you deny the surveillance state visibility into your economic life. When you trade directly with neighbors instead of through corporate intermediaries, you build community resilience while avoiding taxes and regulations. Sharing skills outside credentialed systems breaks the knowledge monopolies that keep people dependent. Building solutions rather than begging for reforms creates the parallel institutions that will outlast the dying system. Encrypting communications rather than accepting surveillance as inevitable preserves the privacy necessary for free association. Routing around damage rather than trying to repair a fundamentally broken system acknowledges that some institutions are beyond reform.

The revolution Konkin envisioned is already here, operating in millions of small transactions every day. From the programmer in Pakistan earning Bitcoin for code to the farmer in Vermont selling raw milk to willing customers to the teacher in Detroit offering classes outside the school system, the counter-economy grows. At the same time, the state economy stagnates due to its internal contradictions.

The state wants you to believe that society would collapse without its control, that chaos would reign without its regulations, and that people couldn't possibly cooperate without their coercion. Every agorist transaction proves them wrong. Every peaceful exchange outside their system demonstrates that order emerges from voluntary interaction, not from dictates and threats.

They can't stop what they can't see. They can't tax what they can't track. They can't regulate what they can't find. And most importantly, they can't govern those who have already withdrawn their consent and built something better.
Welcome to the counter-economy. You're already here. Now it's time to build.