# Operational Security: Privacy, Anonymity and Deniability


```
"You cannot be governed. You just didn't realize it yet."
```

![](opsec4levels/0.png)

[SHOWCASED TUTORIAL:](opsec4levels/index.md) Learn how to audit your own setup, to determine your Operational Security (OPSEC) Level, and find out what is the most appropriate internet use for it.

**BREAKING NEWS:** Welcome to The Opsec Bible v2.0! We are now running mkdocs-material and all of our blogposts have been converted to Markdown to make it simplify the contribution process in the long run.

With this new mkdocs blog version, we have completely changed how you can find blogposts that are relevant to your own situation. Thanks to the Mkdocs search plugin, **you can now search for specific terms (ex:Tor, Monero, Anonymity, Deniability) in the search bar at the top** to find the blogposts that are relevant to what you wish to know. Don't hesitate to combine search terms together to try and find what you need. 

## What is the goal of The Opsec Bible ?

**In short, we're here to tell you why and how you can become ungovernable.**

- Priority number 1: Solving the lack of education
- Priority number 2: Advice applicable to 90% of the people out there, to defeat 99% of the risks
- Priority number 3: Simplifying the advice as much as possible

(Check out [this blogpost](whytheblog/index.md) for more details on our mission)

## Our latest contributed tutorials:
- 2025-06-22: [GrapheneOS Duress PIN](duresspin/index.md)
- 2025-06-16: [File Verification (minisign update)](file-verification/index.md)
- 2025-06-13: [Protesting is not Enough](protestingisnotenough/index.md)
- 2025-06-09: [How to encrypt files and messages (Age and PGP)](pgp/index.md)
- 2025-06-09: [What's Agorism?](agorism/index.md)  (Contributed by [Sam Bent](https://www.youtube.com/@Sam_Bent/videos))
- 2025-06-08: [How to hide your self-hosted service's home IP from the end users](vpsvpnrouting/index.md)
- 2025-06-08: [Prevent IP leaks using a VPN on the Home Server Host OS](vpn_selfhosted/index.md)
- 2025-06-08: [Everyone is a Criminal](everyoneisacriminal/index.md)
- 2025-06-07: [Anonymous Alerting System (via SimpleX)](simplexalerts/index.md)
- 2025-06-07: [Stylometry Protection (Using Local LLMs) [old tutorial rewrite]](stylometry/index.md)
- 2025-06-06: [Laws do not stop crimes](lawsdonotstopcrime/index.md)
- 2025-06-05: [DoT, DoH, DNSCrypt, DNS over Tor and Local DNS: What actually protects you?](dnscrypt/index.md)
- 2025-06-01: [Self-Hosting a Hypervisor on your Home Server](hypervisor_selfhosted/index.md)
- 2025-05-30: [How to Self-Host a server at Home](homeserver/index.md)
- 2025-05-30: [The Individual reigns supreme, no matter what the state says.](individualreignssupreme/index.md)
- 2025-05-26: [The True Goal of Cryptocurrency](truecrypto/index.md)
- 2025-05-25: [Why should I use Whonix for Self-hosted Hidden services ?](whonix_hiddenservice/index.md)
- 2025-05-22: [File Verification (Shasums and PGP)](file-verification/index.md)
- 2025-05-21: [Realistic OPSEC Mistakes and Threat Scenarios](opsecmistakes/index.md)
- 2025-05-16: [The State is the Enemy](stateistheenemy/index.md)
- 2025-05-16: [Why can't I use signal to chat anonymously?](signalnoanonymity/index.md)
- 2025-05-02: [Convert Monero into other Cryptos Anonymously (XMR -> LTC)](haveno-crypto/index.md)
- 2025-05-01: [How to get your first Monero ? (xmrbazaar.com, crypto swaps, p2p chats, or work)](monerofirst/index.md)
- 2025-05-01: [Why should I self-host my own services ?](selfhosting/index.md)
- 2025-05-01: [Our stance on sensitive activities](stancesensitive/index.md)
- 2025-04-30: [What is the goal of The Opsec Bible?](whytheblog/index.md)
- 2025-04-27: [Anonymous Monitoring (Grafana, Prometheus, Node-exporter)](anonymous_server_monitoring/index.md)
- 2025-04-21: [Self-Hosted LLM Hidden Service](openwebuilocalllms/index.md)
- 2025-04-20: [Where to Hide your Monero Wealth?](monerowealth/index.md)

## Our upcoming tutorials:

To know what's in store for the future of The Opsec Bible, you can check out our [Forgejo opsec project board](http://git.nowherejezfoltodf4jiyl6r56jnzintap5vyjlia7fkirfsnfizflqd.onion/nihilist/blog-contributions/projects/1)

If there is a new tutorial that should be added in The Opsec Bible, let us know in our [SimpleX Chatrooms](http://nowherejezfoltodf4jiyl6r56jnzintap5vyjlia7fkirfsnfizflqd.onion/simplex.html) or as a new git issue our [Forgejo repository](http://git.nowherejezfoltodf4jiyl6r56jnzintap5vyjlia7fkirfsnfizflqd.onion/nihilist/blog-contributions) directly.

## The Blog is open to contributions:

If you want to earn some Monero, you can write new blogposts for us (from 10 to 50 euros worth of monero per tutorial, as [advertised on xmrbazaar](https://xmrbazaar.com/listing/UsWA/)), if you're interested, check out our [how to contribute guide](contribute/index.md), and make sure that you follow our [quality standard](qualitystandard/index.md). 


## Wall of Fame (as of May 2025)

- [The Kicksecure Documentation](http://www.w5j6stm77zs6652pgsij4awcjeel3eco7kvipheu6mtr623eyyehj4yd.onion/wiki/Documentation) : One of the actual backbones of OPSEC in general, making Privacy, Anonymity and even Deniability possible on the operating system level and explaining how they achieved it 
- [The Whonix Documentation](http://www.dds6qkxpwdeubwucdiaord2xgbbeyds25rbsgr73tbfpqpt4a6vjwsyd.onion/wiki/Documentation) : Another backbone of OPSEC, making Anonymity possible on the guest operating system level and explaining how they achieved it.
- [The Hitchhiker's guide to Anonymity](https://anonymousplanet.org/guide/) : The main inspiration for The Opsec Bible, an actual goldmine of information, even though i don't like how everything is in one page.
- [Hackliberty Resources](https://git.hackliberty.org/hackliberty.org/Hack-Liberty-Resources) : Community centered around Anarchism, Agorism, and Cypherpunk in general.
- [Dread /d/opsec](http://dreadytofatroptsdj6io7l3xptbet6onoyno2yv7jicoxknyazubrad.onion/d/opsec) : Dread being one of the largest darknet forums out there, their opsec board is a fertile ground for truth seeking 
- [Sam bent's youtube channel](https://www.youtube.com/@Sam_Bent) : Ex-darknet vendor, well versed in anything opsec-related, with solid background on the law in general.
- [Monero Talk's youtube channel](https://www.youtube.com/@MoneroTalk) : Show focusing on growing the adoption of Monero to the masses.
- [/biz/'s Monero Info Dump](https://moneroinfodump.neocities.org/) : Website explaining why monero is the ultimate cryptocurrency

## Wall of Shame (as of May 2025)

- [Dread /d/opsec](http://dreadytofatroptsdj6io7l3xptbet6onoyno2yv7jicoxknyazubrad.onion/d/opsec) : Dread being one of the largest darknet forums out there, their opsec board is also (sadly) a fertile ground for disinformation campaigns and dishonest debates, so make sure you double check and challenge everything they claim in there. Forums are anyway not ideal to actually take you from A to Z when it comes to exploring entire fields of study like operational security.
- [PrivacyGuides](https://www.privacyguides.org/en/mobile-browsers/?h=mobile+browsers#legacy-adblock-settings) : Sadly a far too popular community of privacy laxists, [claiming that using closed-source software is supposedly suitable for private use](https://discuss.privacyguides.net/t/should-privacy-guides-require-open-source-source-first-or-source-available-as-a-criteria-for-all-tools/22684/83).
- [Techlore](https://www.youtube.com/watch?v=EA4KyQBdSu8) : Another privacy laxist community claiming that privacy is possible on Windows, or MacOS.

