---
author: Crabmeat
date: 2025-06-06
gitea_url: "http://git.nowherejezfoltodf4jiyl6r56jnzintap5vyjlia7fkirfsnfizflqd.onion/nihilist/blog-contributions/issues/343"
xmr: 89aWkJ8yabjWTDYcHYhS3ZCrNZiwurptzRZsEpuBLFpJgUfAK2aj74CPDSNZDRnRqeKNGTgrsi9LwGJiaQBQP4Yg5YtJw2U 
tags:
    - Anarchy
---
# **Laws do not stop crimes**

## **What is a law and why is it made for ?** 

When we look at how laws are defined by our governments, it's generally stated that a law is a *system of rules created and enforced by a government or other authority to regulate behavior within a society. Laws are designed to maintain order, protect individual rights, ensure justice, and promote the common good*. This is essentially the definition most people are taught from birth.

However, if you look more closely, you'll notice that this definition doesn’t always tell the full story. In reality, many laws are designed to protect the interests of the government itself, rather than the people, even if it comes at the cost of individual liberty.

Here are a few examples of laws designed to protect governments at the expense of citizens' liberties:

USA: The Patriot Act (2001) - After the 9/11 attacks, the USA passed the USA PATRIOT Act to enhance national security. While it was framed as a means to fight terrorism, it allowed for significant surveillance of citizens, often without warrants. Critics argue that it infringed on civil liberties, particularly the right to privacy, and disproportionately targeted certain groups. Here is an [article](https://www.britannica.com/topic/USA-PATRIOT-Act) that gives insights on the Patriot act. 

Europe : General Data Protection Regulation (GDPR) - While the GDPR is designed to protect personal data within the European Union, it can also be seen as a tool to protect the power of large bureaucracies and governments that control data. Governments and corporations must now navigate the complexities of data protection laws, but in some instances, the interpretation of the law can favor the government's need to control information, sometimes limiting access to public data. Here is an [article](https://cyberlaw.stanford.edu/blog/2015/11/free-expression-gaps-general-data-protection-regulation/) that shows worries about GDPR. 

Asia: The National Security Law in Hong Kong (2020) - China's implementation of the National Security Law in Hong Kong was framed as a response to the 2019 pro-democracy protests. However, critics argue it was designed to suppress dissent and give the government greater control over the region. The law has been used to arrest activists, politicians, and journalists, limiting freedom of expression and assembly. The BBC wrote an interesting [article](https://www.bbc.com/news/world-asia-china-52765838) about it. 

As you can see, all of these laws were designed to protect governments, but were presented as measures to safeguard people's rights and security, even though they impacted individual liberties.

![](lawinterpretation.png)

*Interesting reading: "The Law" by Frédéric Bastiat (1850) : In this seminal work, Bastiat argues that the law should protect individual rights such as life, liberty, and property. He warns against the "perversion of law," where it becomes a tool for legal plunder—used by the state to benefit certain groups at the expense of others. This critique remains relevant in discussions about laws that prioritize governmental power over individual freedoms.*

## **What is a crime ?**

Generaly, a crime is defined like follow: *An act or omission that violates a law and is punishable by a government or legal authority*.

So, essentially, a crime is punishable by the same entity that creates the rules. The people responsible for catching criminals are also employed by that entity.
This means that the state can arbitrarily label anyone as a criminal.

*An interesting example of this system in action is depicted in the movie Judge Dredd (1995). In a dystopian future, Joseph Dredd—the most renowned Judge, endowed with police, judicial, and execution powers—is wrongly convicted of a crime he didn't commit and must confront his ruthless counterpart.*

Here are a few examples of situations where states labeled people as criminals for their own benefit: 

Russia: The Russian government has used vaguely defined laws on “extremism” and “foreign agents” to label political opponents, journalists, and NGOs as criminals or threats to the state.

- Alexei Navalny, a prominent opposition leader, was imprisoned on charges widely viewed as politically motivated.

- NGOs and media outlets that receive foreign funding have been forced to register as “foreign agents,” effectively branding them as enemies of the state and subjecting them to surveillance and restrictions.

- The same government defines these offenses, enforces them, and prosecutes the accused—demonstrating a full cycle of power and punishment controlled by the state.

You will find more detailed information about it [here](https://www.amnestyusa.org/press-releases/aleksei-navalnys-ngos-banned-as-extremist-depriving-thousands-of-their-rights/)

Brazil: Brazil’s legal and police systems have been accused of targeting the poor, Indigenous people, and activists under the guise of crime control.

- Land rights activists and environmental defenders in the Amazon are sometimes arrested, harassed, or even killed. Legal charges are often thinly justified but used to remove opposition to agribusiness or deforestation policies.

Do not hesitate to read this [article](https://insideclimatenews.org/news/24062021/bolsonaro-amazon-brazil-deforestaiton-climate-change-indigenous-rights-ecocide/) that can give you more insights on this subject. 

- During military dictatorship (1964–1985), many citizens were imprisoned or killed after being labeled as “subversives” or “criminals” by the state. These definitions served the political aims of silencing dissent.

This Wikipedia [article](https://en.wikipedia.org/wiki/Military_dictatorship_in_Brazil) covers this period. 

Uganda: In Uganda, the state has passed laws that criminalize homosexuality with severe penalties, including life imprisonment.

- These laws are written, enforced, and judged by the same government authorities, even though they violate international human rights norms.

- Activists and citizens accused under these laws often face arrest and violence, despite not having committed any act that would be considered a “crime” in much of the world.

- The government’s power to define what is criminal is used to enforce political and cultural control.

[Here](https://www.article19.org/resources/uganda-anti-homosexuality-law-an-attack-on-human-rights/) are interesting information on this topic. 

*Interesting reading: State, Power, Crime edited by Roy Coleman et al. (2009) : This collection of essays offers a critical analysis of the relationship between the state and crime. It explores how state power influences the definition of crime and the enforcement of laws, often reflecting political and economic interests rather than objective justice.*

![](organized.png)

## **Can law stop crime ?**

Based on what we’ve discussed about laws and crimes, can laws truly prevent crime? If you consider that many laws are created by governments in ways that practically encourage people to break them—thus turning them into criminals—then stopping crime becomes impossible. And the reason is simple: laws are not always designed to punish crime, but more often to create criminals.

We must distinguish crimes as defined by state law and crimes from the point of view of natural rights. In a free society (see Popper's treatise on the subject), those are one and the same.
In authoritarian regimes you will find many victimless crimes that are not violations of natural rights (a simple example would be the consumption of forbidden drugs).

Victimless crimes exists only because laws exist. Since states control the entire process—from drafting laws to enforcing them and delivering judgments—and as more and more laws restrict individual freedoms, laws are more likely to increase crime than reduce it. In fact, laws are designed to "create" crime, not to prevent or punish it.

There are several examples of laws that remain in force but are not actively enforced or punished by states. This clearly shows that governments apply laws selectively, using them when it serves their interests rather than upholding them consistently or neutrally. Here are a few examples:

- Tax Evasion by the Wealthy (Global)

In many countries, tax laws are strict on paper, but enforcement is weak when it comes to large corporations or ultra-wealthy individuals. For instance, multinational corporations often use legal loopholes or tax havens—techniques that would lead to prosecution for average citizens, but are rarely punished at the top levels.

If you want to read about tax evasion, you can refer to this [article](https://chicagopolicyreview.org/2021/11/15/how-the-top-1-evade-taxes-and-get-away-with-it/)

- Police Brutality Laws (United States)

While excessive use of force by law enforcement is illegal, prosecution of police officers for misconduct is rare, even when there is strong evidence. This selective application of the law undermines trust in legal neutrality.

[Here](https://www.propublica.org/article/what-police-impunity-looks-like-there-was-no-discipline-as-no-wrongdoing-was-found) is a real case explaining police impunity in USA. 

- Environmental Protection Laws (Brazil)

Despite laws against illegal deforestation in the Amazon, enforcement is often lacking. Powerful agricultural interests are rarely held accountable, showing how laws can be ignored when they conflict with economic or political goals.

This [article](https://insideclimatenews.org/news/24062021/bolsonaro-amazon-brazil-deforestaiton-climate-change-indigenous-rights-ecocide/) already shared above illustrate it well. 

- Anti-Corruption Laws (Russia, parts of Africa and Latin America)

Many countries have anti-corruption laws on the books, but high-ranking officials are rarely investigated or prosecuted. Enforcement tends to target political opponents or low-level figures, not those in power.

The following [analysis](https://css.ethz.ch/content/dam/ethz/special-interest/gess/cis/center-for-securities-studies/pdfs/RAD-144.pdf) displays really interesting information on this topic. 

Based on this, it's clear that the system is rigged, and that crime is often used as a tool by states rather than something they genuinely aim to eliminate.

*Interesting reading: Peter Kropotkin, In his essay Law and Authority, Kropotkin critiques the legal system, stating: "Law has no title to the respect of men.". He argues that laws are tools used by ruling classes to maintain power, rather than instruments of justice.*

![](crime.png)

## **Conclusion**

States have increasingly demonstrated that laws are not primarily designed to prevent crime but rather to punish those who break rules defined by the state itself. Essentially, laws and the concept of crime serve as tools for governments to control populations and restrict individual liberties. Rather than fostering justice or safety, these mechanisms often reinforce power structures and limit personal freedom.

*To sum it up: laws don’t stop crime—they create it.*
